## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 15;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Version: 0.6.8
%global forgeurl https://github.com/Moonbase59/loudgain
%forgemeta

Name: %{repo}
Release: %autorelease
Summary: ReplayGain 2.0 audio loudness normalizer
License: BSD-2-Clause
URL: %{forgeurl}
Source0: %{forgesource}

# https://github.com/Moonbase59/loudgain/pull/37
Patch0: hardened-build.patch
Patch1: fix_ffmpeg5.patch

BuildRequires: cmake
BuildRequires: gcc-c++
BuildRequires: ffmpeg-free-devel
BuildRequires: libebur128-devel
BuildRequires: taglib-devel


%description
loudgain is a versatile ReplayGain 2.0 loudness normalizer, based on the
EBU R128/ITU BS.1770 standard (-18 LUFS) and supports
FLAC/Ogg/MP2/MP3/MP4/M4A/ALAC/Opus/ASF/WMA/WAV/WavPack/AIFF/APE audio
files. It uses the well-known mp3gain commandline syntax but will never
modify the actual audio data.


%prep
%forgeautosetup -p1


%build
%cmake
%cmake_build


%install
%cmake_install


%check
%ctest


%files
%license COPYING
%doc README.md
%{_bindir}/%{name}
%{_bindir}/rgbpm
%{_mandir}/man1/%{name}.1*


%changelog
* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.8-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Mon Apr 24 2023 Peter Oliver <git@mavit.org.uk> - 0.6.8-14
- SPDX migration.

* Sun Mar 12 2023 Neal Gompa <ngompa@fedoraproject.org> - 0.6.8-13
- Rebuild for ffmpeg 6.0

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.8-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Aug 29 2022 Neal Gompa <ngompa@fedoraproject.org> - 0.6.8-11
- Rebuild for ffmpeg 5.1 (#2121070)

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.8-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sun Apr  3 2022 Peter Oliver <rpm@mavit.org.uk> - 0.6.8-6
- Build against ffmpeg-free from Fedora.

* Wed Feb 09 2022 RPM Fusion Release Engineering <sergiomb@rpmfusion.org> - 0.6.8-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Nov 12 2021 Leigh Scott <leigh123linux@gmail.com> - 0.6.8-4
- Rebuilt for new ffmpeg snapshot

* Tue Aug 03 2021 RPM Fusion Release Engineering <leigh123linux@gmail.com> - 0.6.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Feb 03 2021 RPM Fusion Release Engineering <leigh123linux@gmail.com> - 0.6.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Oct 19 2020 Peter Oliver <rpm@mavit.org.uk> - 0.6.8-1
- Initial package.

